using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace IZIworld
{
    public partial class final : Form
    {
        Thread th; // pentru a da lansa jocul
        int usu = 0;
        int score = 0;
        int bit = 0;
        public final()
        {
            InitializeComponent();

            using (StreamReader reader = new StreamReader("pap.ini"))
            {
                usu = int.Parse(reader.ReadToEnd());
                label24.Text = Convert.ToString(usu);
                reader.Close();
            }

            using (StreamReader reader = new StreamReader("pap2.ini"))
            {
                usu = int.Parse(reader.ReadToEnd());
                label25.Text = Convert.ToString(usu);
                reader.Close();
            }

            using (StreamReader reader = new StreamReader("pap3.ini"))
            {
                score = int.Parse(reader.ReadToEnd());
                reader.Close();
            }


            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label1.Text = "- nu ai foc, nu ai meniuri KFC;";
            else label1.Text = "- ai foc, deci supraviețuiești în timpul iernii;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label2.Text = "- ai politicieni bine pregătiți care te pot conduce;";
            else label2.Text = "- politicienii tăi sunt ușor coruptibili;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label3.Text = "- nu poți înțelege telenovelele spaniole;";
            else label3.Text = "- poți să inveți ușor italiana;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label4.Text = "- ai salvat milioane de oameni de ciumă;";
            else label4.Text = "- ai răspândit ciuma în toată Europa;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label5.Text = "- nu poți să cumperi Jordans pentru ca n-ai bani;";
            else label5.Text = "- poți să investești banii tăi printați în cryptomonede;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label6.Text = "- nu mai avem America, nu mai avem visul american;";
            else label6.Text = "- poți mânca hotdogs în Central Park;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label7.Text = "- nu mai sunt șoferi de taxi, pentru că nu mai sunt fabrici de mașini;";
            else label7.Text = "- poți cumpăra brânză ieftină;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label8.Text = "- îi avem pe Eminem si Snoop Dog cu accent englezescâ;";
            else label8.Text = "- America devine una dintre marile puteri;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label9.Text = "- personalități ca: Lebron, Obama sau Rihanna influențează societatea;";
            else label9.Text = "- nu mai sunt filme cu Morgan Freeman, pentru că nu este liber;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label10.Text = "- nu mai avem premiile Nobel;";
            else label10.Text = "- avem o lume în care dinamita nu mai există;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 0) label11.Text = "- ai redus foarte mult poluarea;";
            else label11.Text = "- nu mai există Lego din plastic;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label12.Text = "- nu mai putem călători cu avionul;";
            else label12.Text = "- putem călători cu avionul în toată lumea;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label13.Text = "- societatea a investit (să sperăm) în educație, nu în Primul Război Mondial;";
            else label13.Text = "- am descoperit tehnologii revoluționare în timpul Primului Război Mondial;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label14.Text = "- nu-ți poți suna mama, pentru că nu mai sunt sateliți;";
            else label14.Text = "- avem sateliți, deci ne putem uita la Revelionul cu Dan Negru anual;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label15.Text = "- nu mai avem proiecte Erasmus;";
            else label15.Text = "- putem vizita usor pe oricine din acest continent;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label16.Text = "- nu putem face flăcări pe Instagram, pentru că nu avem internet;";
            else label16.Text = "- putem învăța orice pe internet, chiar să scoatem fete în oraș;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label17.Text = "- putem vizita locul preferat al lui Philippe Petit;";
            else label17.Text = "- trăim într-o lume sub frica terorismului;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label18.Text = "- nu mai suntem dependenți de telefoane inteligente, pentru că nu mai există;";
            else label18.Text = "- ne uităm la clipuri cu pisici zinlic;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label19.Text = "- trăim într-o lume mai sigură în legătură cu migrația ilegală;";
            else label19.Text = "- trăim în frica, neînțelegând alte religii;";

            if (score % 2 == 1) bit = 1;
            else bit = 0;
            score = score / 2;
            if (bit == 1) label20.Text = "- liderii politicii țin pasul cu evoluția;";
            else label20.Text = "- suferim din cauza atacurilor cibernetice guvernamentale;";

        }

        private void label22_Click(object sender, EventArgs e)
        {

        }

        private void final_Load(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.Close();
            th = new Thread(usu1);
            th.SetApartmentState(ApartmentState.STA);
            th.Start();
        }

        private void usu1(object obj)
        {
            Application.Run(new Form1());
        }
    }
}
